      program lorenz
      
C 1  Data: 07/032007
C 2  Objetivo: simular o atrator de Lorenz pelo metodo de Euler

C 3  X1,X2= fluxo convectivo
C 4  Y1,Y2= distribuicao horizontal de temperaturas
C 5  Z1,Z2= distribuicao vertical de temperaturas
C 6  DT= diferencial de tempo
C 7  T= tempo
C 8  S= numero de Prandtl
C 9  R= numero de Rayleigh reduzido
C 10 B= relacao entre a altura e a largura do retangulo selecionado

C 11 definindo as variaveis:
      
      IMPLICIT NONE 
      INTEGER*4 I
      REAL*8 X1,X2,Y1,Y2,Z1,Z2,DT,T,S,R,B

C 12 atribuindo os valores iniciais:

	X1=0.0D0
C 13	X1=-9.56388D0
	Y1=0.6D0
C 14	Y1=-13.89207D0
C 15	Z1=1.0D0 
	Z1=0.0D0
C 16	Z1=21.9138D0
	DT=1.0D-2
	T=0.0D0
C 17	T=20.0D0
      S=10.0D0
      R=28.0D0
      B=2.666667D0

C 18 abrindo o arquivo de resultados:
        
C 19	OPEN(1,FILE='XZ1.DAT')
C 20	OPEN(1,FILE='XZ0.DAT')
	OPEN(1,FILE='TX0.DAT')
C 21	OPEN(1,FILE='TX1.DAT')

C 22 iniciando a simulacao:

	DO I=1,4000
C 23	DO I=1,2000
	  X2= X1+(Y1-X1)*S*DT
        Y2= Y1+(R*X1-Y1-X1*Z1)*DT
	  Z2= Z1+(X1*Y1-B*Z1)*DT 
	  T=T+DT
	
C 24 gravando o arquivo de resultados
      
C 25	  IF (I.GT.2000)THEN
C 26	  WRITE(1,*)X2,Z2
	  WRITE(1,*)T,X2
C 27	  ENDIF

C 28 atualizando os dados

	  X1=X2
	  Y1=Y2
	  Z1=Z2
      END DO

C 29 fechando o arquivo de resultados e encerrando o programa

      CLOSE(1)
      END
